Subject: file-directory-p reports incorrect value for ftp root files

From: Chong Yidong <[email-masked]>
Date: Tue, 24 Feb 2009 12:56:34 -0500

> I have a file on a ftp location 10.0.42.141 called ph_exec.  In emacs 
> 22.2.1 this code works correctly.
>
> (setq ange-ftp-dumb-unix-host-regexp ".*")
> (file-directory-p "/[email-masked]:/ph_exec.exe")
>
> however in 22.3.1 it does not work and incorrectly reports ph_exec as 
> being a directory

I was unable to log in to 10.0.42.141 to reproduce this bug.  However,

  (file-directory-p "/[email-masked]:/pub/README")

works properly (i.e., it returns nil).  I recently fixed a bug in
ange-ftp.el which may be related to this, so could you check whether the
problem persists with latest CVS?